Package org.apache.axiom.attachments

## Class ConfigurableDataHandler

- java.lang.Object
- - javax.activation.DataHandler
  - - org.apache.axiom.attachments.ConfigurableDataHandler

- All Implemented Interfaces:
    `Transferable`

      public class ConfigurableDataHandler
      extends DataHandler

  This Axiom DataHandler inplementation allows the user to set custom values for the following MIME body part headers.
  - content-transfer-encoding
  - content-type

  Data written to the MIME part gets encoded by content-transfer-encoding specified as above

  Usage is Similar to the javax.activation.DataHandler except for the setting of the above properties.

  eg:

  dataHandler = new ConfigurableDataHandler(new ByteArrayDataSource(byteArray));

  dataHandler.setTransferEncoding("quoted-printable");

  dataHandler.setContentType("image/jpg");

  See Also:
    `DataHandler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurableDataHandler​(Object data, String type)` |
    `ConfigurableDataHandler​(URL url)` |
    `ConfigurableDataHandler​(DataSource ds)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContentType()` |
    `String` | `getTransferEncoding()` |
    `void` | `setContentType​(String contentType)` |
    `void` | `setTransferEncoding​(String transferEncoding)` |

    - ### Methods inherited from class javax.activation.DataHandler

      `getAllCommands, getBean, getCommand, getContent, getDataSource, getInputStream, getName, getOutputStream, getPreferredCommands, getTransferData, getTransferDataFlavors, isDataFlavorSupported, setCommandMap, setDataContentHandlerFactory, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurableDataHandler

          public ConfigurableDataHandler​(DataSource ds)

    - #### ConfigurableDataHandler

          public ConfigurableDataHandler​(Object data,
                                         String type)

    - #### ConfigurableDataHandler

          public ConfigurableDataHandler​(URL url)

  - ### Method Detail

    - #### getContentType

          public String getContentType()

      Overrides:
        `getContentType` in class `DataHandler`

    - #### setContentType

          public void setContentType​(String contentType)

    - #### getTransferEncoding

          public String getTransferEncoding()

    - #### setTransferEncoding

          public void setTransferEncoding​(String transferEncoding)